*,
::before,
::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}
*,
::before,
::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  font-family: Arial, Helvetica, sans-serif;
  color: #f1f1f1;
  background: linear-gradient(45deg, rgb(59, 50, 50), rgb(22, 28, 29));
  height: 100vh;
}

.container {
  width: 800px;
  height: 600px;
  background: linear-gradient(45deg, #1068b6, #ec60a6);
  display: grid;
  grid-template: 100px 300px 100px 100px / repeat(8, 100px);
  margin: 100px auto 0;
  position: relative;
  border: 1px solid #f1f1f1;
}

.h1app {
  /* deb row / deb col / fin row / fin col */
  grid-area: 1 / 1 / 2 / -1;
  display: flex;
  justify-content: center;
  align-items: center;
  border-bottom: 1px solid #f1f1f1;
}

.bloc-logo-info {
  grid-area: 2 / 1 / 3 / -1;
  display: flex;
  justify-content: center;
  align-items: center;
}
.bloc-logo {
  width: 50%;
}
.bloc-logo img {
  width: 100%;
  height: auto;
}
.bloc-info {
  width: 50%;
}
.bloc-info .temps {
  font-size: 40px;
}
.bloc-info .temps::first-letter {
  text-transform: capitalize;
}
.bloc-info .temperature {
  font-size: 60px;
}
.bloc-info .localisation {
  font-size: 40px;
  word-wrap: break-word;
}

.heure-bloc-prevision {
  grid-area: 3 / 1 / 4 / -1;
}
.jour-prevision-bloc {
  grid-area: 4 / 1 / 5 / -1;
}
.jour-prevision-bloc,
.heure-bloc-prevision {
  display: grid;
  grid-template: 100px / repeat(7, 1fr);
}

.bloc-h,
.bloc-j {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  border-top: 1px solid #f1f1f1;
  font-size: 21px;
}

.bloc-h:not(:last-child),
.bloc-j:not(:last-child) {
  border-right: 1px solid #f1f1f1;
}

.bloc-h p,
.bloc-j p {
  margin: 5px;
}
/* ===== BASE ===== */

*,
::before,
::after {
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

body {
  margin: var(--header-height) 0 0 0;
  font-family: "PT sans", sans-serif;
  color: #fff;
  padding-bottom: 60px;
  background-attachment: fixed;
  background-image: linear-gradient(#6e3f98 9%, #d6ab97);
}

h1,
h2,
h3,
ul,
p {
  margin: 0;
}

h2,
h3 {
  font-weight: var(--font-semi-bold);
}

ul {
  padding: 0;
  list-style: none;
}

a {
  color: inherit;
  text-decoration: none;
}

img {
  max-width: 100%;
  height: auto;
  display: block;
}

/* ===== MOBILE FIRST */

/* ===== LAYOUT ===== */
.I-header {
  padding-top: 20px;
  padding-bottom: 20px;
}
.bd-container {
  max-width: 1024px;
  width: calc(100% - 2rem);
  margin: 0 auto;
}

nav {
  height: 3rem;
  display: flex; /* Place mes elmes sur la même ligne (le toggle, PORTFOLIO) */
  justify-content: space-between; /* Espaces ces elems */
  align-items: center; /* Vertical middle par apport a ma nav */
}

div#nav-menu {
  display: flex;
  width: 60%;
}
form {
  display: flex;
  min-width: 100%;
}

/* form input#inputCity {
  width: 100%;
  background: rgba(255, 255, 255, 0.15);
  backdrop-filter: blur(0px);
  -webkit-backdrop-filter: blur(0px);
  border-radius: 20px;
  border: none;
  padding: 0 5px 0 10px;
  min-height: 30px;
  color: #fff;
  height: 40px;
}

#inputCity::placeholder {
  color: #fff;
} */

.bx {
  font-size: 40px;
}

.glassmorphism {
  margin: 20px;
  padding: 20px;
  background: rgba(255, 255, 255, 0.05);
  box-shadow: 0 8px 32px 0 rgba(31, 38, 135, 0.37);
  backdrop-filter: blur(0px);
  -webkit-backdrop-filter: blur(0px);
  border-radius: 10px;
}

.glassmorphism2 {
  background: rgba(255, 255, 255, 0.05);
  box-shadow: 0 8px 32px 0 rgba(31, 38, 135, 0.37);
  backdrop-filter: blur(0px);
  -webkit-backdrop-filter: blur(0px);
  border-radius: 10px;
}
strong {
  font-size: 20px;
}

/* ==========
Custom Scrollbar
========== */

::-webkit-scrollbar {
  /* permet de modifier le style de la barre de défilement associée à un élément. */
  width: 5px;
}

::-webkit-scrollbar-track {
  background-color: var(--white);
}

::-webkit-scrollbar-thumb {
  background-color: var(--main-color);
}

i.fas.fa-bars {
  font-size: 30px;
}

.card-btn {
  position: relative;
  z-index: 10;
  background: rgba(255, 255, 255, 0.05);
  box-shadow: 0 15px 35px #00000033;
  backdrop-filter: blur(10px);
  height: 50px;
  border-top-right-radius: 20px;
  border-bottom-right-radius: 20px;
  border: none;
  font-family: inherit;
  font-weight: 400;
  font-size: 16px;
  padding: 0 20px;
}
.card-btn:hover {
  cursor: pointer;
  transition: all 0.3s ease;
  border-color: var(--white-alpha-40);
}
.card-input::placeholder {
  color: #fff;
  opacity: 0.8;
  font-weight: 300;
}
.card-input {
  width: 70%;
  position: relative;
  z-index: 10;
  background: rgba(255, 255, 255, 0.05);
  box-shadow: 0 15px 35px rgba(0, 0, 0, 0.2);
  height: 50px;
  border-top-left-radius: 20px;
  border-bottom-left-radius: 20px;
  border: none;
  font-family: inherit;
  font-weight: 400;
  font-size: 16px;
  padding: 0 20px;
  border: 1px solid transparent;
  transition: border-color 0.3s ease;
  color: aliceblue;
}
.card-input:focus {
  border-color: var(--white-alpha-40);
}
:root {
  /* A changer 'main color' */
  --main-color: #e02f6b;
  --blue: #0000ff;
  --blue-dark: #18293c;
  --orange: #ffa500;
  --green-yellow: #cddc39;
  --pink-light: #efa2b4;
  --cyan-light: #aef1ee;
  --white: #fff;
  --white-alpha-40: rgba(255, 255, 255, 0.4);
  --white-alpha-25: rgba(255, 255, 255, 0.25);
  --backdrop-filter-blur: blur(5px);
}
.border-none {
  border: none !important;
}
i.fas.fa-search {
  color: aliceblue;
}
h3#city {
  font-size: 22px;
}
